<?php

namespace App\Enums;

use App\Concerns\HasLabels;

enum MealType: string
{
    use HasLabels;

    case Breakfast = 'breakfast';
    case Lunch = 'lunch';
    case Dinner = 'dinner';
    case Snack = 'snack';

    protected function translationKey(): string
    {
        return 'enums.meal_type.'.$this->value;
    }
}
